Skip to main content

Get branch

GET{{server}}/api/v1/appointment/branch?branch={{branch}}

This request return the branch entity by key.

Request​

Authorization​

HeaderValue
AuthorizationSmartToken {{smartToken}}

Headers​

KeyValue
Acceptapplication/json

Query parameters​

KeyValue
branch{{branch}}

Code snippets​

curl -X GET '{{server}}/api/v1/appointment/branch?branch={{branch}}' \
-H 'Accept: application/json' \
-H 'Authorization: SmartToken {{smartToken}}'

Example​

Example request
GET{{server}}/api/v1/appointment/branch?branch={{branch}}
Query parameters (1)
KeyValue
branch{{branch}}
Headers (1)
KeyValue
Acceptapplication/json
Example response 200 Ok
Response headers (9)
KeyValue
Access-Control-Expose-Headers*
Cache-Controlno-store, no-cache, must-revalidate
Access-Control-Allow-Origin*
Access-Control-Allow-MethodsPOST, PUT, GET, OPTIONS, DELETE
Access-Control-Allow-Credentialstrue
Content-Length300
Access-Control-Max-Age86400
Access-Control-Allow-HeadersContent-Type, Authorization, X-Requested-With
Content-Typeapplication/json;charset=utf-8
Body
{
"key": "00000000-0000-4000-0003-000000000001",
"name": "Default",
"defaultLang": "00000000-0000-4000-0004-000000000001",
"timeZone": "Europe/Budapest",
"address": {
"country": "Magyarország",
"zip": "1112",
"city": "Budapest",
"street": "Péterhegyi út.",
"number": "51/b",
"latitude": 47.448782,
"longitude": 19.01472
}
}